"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createRecordLockingError = void 0;
var createRecordLockingError = exports.createRecordLockingError = function createRecordLockingError(error) {
  if (error instanceof Error) {
    return {
      message: error.message,
      code: error.code || "UNKNOWN_ERROR",
      data: error.data
    };
  }
  return {
    message: error.message,
    code: error.code,
    data: error.data
  };
};

//# sourceMappingURL=createRecordLockingError.js.map